import setuptools

setuptools.setup(
    name = 'wizard-scripts',
    version = '0.1.dev',
    author = 'The Scripts Team',
    author_email = 'scripts-team@mit.edu',
    description = ('Customizations to Wizard for scripts.mit.edu'),
    license = 'MIT',
    url = 'http://scripts.mit.edu/',
    packages = setuptools.find_packages(),
    entry_points = {
        'wizard.user.quota': 'scripts = wizard_scripts:user_quota',
        'wizard.user.email': 'scripts = wizard_scripts:user_email',
        'wizard.user.operator': 'scripts = wizard_scripts:user_operator',
        'wizard.user.passwd': 'scripts = wizard_scripts:user_passwd',
        'wizard.deploy.web': 'scripts = wizard_scripts:deploy_web',
        'wizard.sql.auth': 'scripts = wizard_scripts:sql_auth',
        'wizard.sql.drop': 'scripts = wizard_scripts:sql_drop',
        'wizard.install.strategy': ['email = wizard_scripts:EmailStrategy',
                                    'mysql = wizard_scripts:MysqlStrategy',
                                   ],
        'wizard.app': ['wordpress = wizard.app.wordpress:Application',
                       'mediawiki = wizard.app.mediawiki:Application',
                       'phpBB = wizard.app.phpBB:Application',
                      ],
        'wizard.dummy_apps': 'scripts = wizard_scripts:dummy_apps',
    }
)
