#!/bin/bash
# takes an app name and a version as arguments
cd `dirname $0`
bold="`tput -T${TERM:-dumb} bold`"
red="`tput -T${TERM:-dumb} setf 4`"
green="`tput -T${TERM:-dumb} setf 2`"
sgr0="`tput -T${TERM:-dumb} sgr0`"
APP="$1"
if [ "$APP" == "" ]; then
    echo "Must specify application and version"
    exit 1
fi
for i in $1-*-test.sh; do
    ./$i "$2"

    if [ $? -eq 0 ] || [ $? -eq 2 ];
    then
        echo "${bold}${green}OK${sgr0}"
        wizard remove "testdir_$(echo "${i%-test.sh}" | tr - _)_$2"
    else
        echo "${bold}${red}FAIL${sgr0}"
    fi
    echo
done
